Name:           python3-humanize
Version:        0.5
Release:        %mkrel 1

Summary:        Turns dates in to human readable format, e.g '3 minutes ago'
License:        MIT
URL:            https://github.com/jmoiron/humanize
Source0:        https://pypi.python.org/packages/source/h/humanize/humanize-%{version}.tar.xz
Group: Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
This modest package contains various common humanization utilities, like turning
a number into a fuzzy human readable duration ('3 minutes ago') or into a human
readable size or throughput.

%prep
%setup -q -n humanize-%{version}

# Remove shebangs from libs.
for lib in humanize/time.py humanize/filesize.py humanize/number.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new && mv $lib.new $lib
done

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
# LANG required so README.rst can be parsed.
LANG=en_US.UTF-8 %{__python3} setup.py build
popd

%{__python3} setup.py build

%install
pushd %{py3dir}
LANG=en_US.UTF-8 %{__python3} setup.py install --skip-build --root %{buildroot}
%find_lang humanize
popd

%{__python3} setup.py install --skip-build --root %{buildroot}
%find_lang humanize


%files -f %{py3dir}/humanize.lang
%doc README.rst LICENCE
%{python3_sitelib}/*
%exclude %{_usr}/lib/python*/site-packages/humanize/locale/*/LC_MESSAGES/*.po


%changelog
* Sun Apr 22 2018 Ken <lxgator at gmail.com> 0.5-1pclos2018
- Create pkg
